# AIEventDisasterZeppelinerCleared Class Reference

Event Disaster Zeppeliner Cleared, indicating a previously crashed zeppeliner has been removed, and the airport is operating again. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventDisasterZeppelinerCleared:

## Public Member Functions
| AIEventDisasterZeppelinerCleared (StationID station)
StationID | GetStationID ()
| Get the StationID of the station containing the affected airport.
## Static Public Member Functions
static const char * | GetClassName ()
static AIEventDisasterZeppelinerCleared * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
StationID | station

## Detailed Description

Event Disaster Zeppeliner Cleared, indicating a previously crashed zeppeliner has been removed, and the airport is operating again.

Definition at line 754 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventDisasterZeppelinerCleared::AIEventDisasterZeppelinerCleared | ( | StationID | station | ) | `[inline]`

Parameters:

  | station | The station containing the affected airport

Definition at line 761 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventDisasterZeppelinerCleared* AIEventDisasterZeppelinerCleared::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 771 of file ai_event_types.hpp.

StationID AIEventDisasterZeppelinerCleared::GetStationID | ( |  | ) | `[inline]`

Get the StationID of the station containing the affected airport.

Returns:
  The StationID of the station containing the affected airport.

Definition at line 777 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp